Dear All, I have been able to create multiple alternate POP0 menu's in the past but for some reason I can not get this to work. What Am I doing wrong. There is not info in the help menu that I can find. Thanks In Advance. Rodney This is my Menu portion....... ***POP0 **BASIC [AutoCad] [->DimmENU] [--] [Pull]^C^CDPl; [--] [ORIGIN](COMMAND);(COMMAND "UCSICON" "OR" "UCSICON" "ON" "UCS" "OR"); [--] [DIMCON]^C^CDIMCONTINUE; [--] [--] [DIMMOD]^C^Cproperties; [--] [DIM_UCS]^C^C^P(PROGN (SETQ SS (SSGET (LIST (CONS 0 "DIMENSION"))))(COMMAND "UCS" "")(IF SS (SETQ ORGN (TRANS (CDR (ASSOC 10 (ENTGET (SSNAME SS 0))))1 0 )))(COMMAND "UCS" "" "UCS" "OR" ORGN )) [--] [NOMINAL]^C^Cdimstyle R NOMINAL; [--] [UPDATE]^C^Cdimstyle A \ [--] [ORIGIN](COMMAND);(COMMAND "UCSICON" "OR" "UCSICON" "ON" "UCS" "OR"); [--] [ORDRUN]^C^C^P(if dim_lay (dim_lay))(print)(print) ^P_dimordinate \\_DIMCONTINUE; [--] [ORDINATE]^C^C^P(if dim_lay (dim_lay))(print)(print) ^PMU _dimordinate [--] [Linear]^^C^P(if dim_lay (dim_lay))(print)(print) ^P_dimlinear [--] [Angular]^C^C^P(if dim_lay (dim_lay))(print)(print) ^P_dimangular [--] ^C^C^P(if dim_lay (dim_lay))(print)(print) ^P_dimcenter [--] [->DEC. PLC.] [X](COMMAND "DIMDEC" 0); [X.X](COMMAND "DIMDEC" 1); [X.XX](COMMAND "DIMDEC" 2); [X.XXX](COMMAND "DIMDEC" 3); [<-X.XXXX](COMMAND "DIMDEC" 4); [--] [->DIMSCALE] [.5](COMMAND "DIMSCALE" 0.5); [1](COMMAND "DIMSCALE" 1); [1.5](COMMAND "DIMSCALE" 1.5); [2](COMMAND "DIMSCALE" 2); [2.5](COMMAND "DIMSCALE" 2.5); [<-3](COMMAND "DIMSCALE" 3); [--] [->DIMLFAC] [.5](COMMAND "DIMLFAC" 0.5); [1](COMMAND "DIMLFAC" 1); [1.5](COMMAND "DIMLFAC" 1.5); [2](COMMAND "DIMLFAC" 2); [2.5](COMMAND "DIMLFAC" 2.5); [MM](COMMAND "DIMLFAC" 25.4); [<-3](COMMAND "DIMLFAC" 3); [<-] [--] [.X]^H.x [.Y]^H.Y [.Z]^H.Z [.XY]^H.XY [.YZ]^H.YZ [.ZX]^H.ZX [@]^H@ [--] [->PSPACE] [MODEL]^HTILEMODE 1; [PAPER]^HTILEMODE;0;PSPACE; [FLOAT]^HTILEMODE 0 MSPACE; [<-MVSETUP]^HMVSETUP; [--] [->3D VIEW ] [--]^C^C [TOP]^C^CVPOINT;0,0,1; [BOTTOM]^C^CVPOINT;0,0,-1; [FRONT]^C^CVPOINT;0,-1,0; [BACK]^C^CVPOINT;0,1,0; ^C^CVPOINT;1,0,0 (^C^CVPOINT;-1,0,0; [SE]^C^CVPOINT;1,-1,1; [SW]^C^CVPOINT;-1,-1,1; [NE]^C^CVPOINT;1,1,1; [<-NW]^C^CVPOINT;-1,1,1; [--] [ORIGIN]^C^C^PUCSICON;OR;UCSICON;ON;UCS;OR;^P [UCS]^C^CUCSICON;OR;UCSICON;ON;UCS;; [X-ROT]^C^CUCS;X; [Y-ROT]^C^CUCS;Y; [Z-ROT]^C^CUCS;Z; [3-POINT]^C^CUCS;3; [VIEW]^C^CUCS;VIEW; [PREV]^C^CUCS;P; [SAVE]^C^CUCS;SAVE; [ENTITY]^C^CUCS;ENTITY; [RESTORE]^C^CUCS;RESTORE; [--] [Top Left]^C^C(progn(SETQ ss (ssget) cnt 0)(repeat (sslength ss)(setq ent (entget (ssname ss cnt)))(ENTMOD (SUBST (CONS 71 1)(ASSOC 71 ent)ent))(setq cnt (1+ cnt)))); [Top Center]^C^C(progn(SETQ ss (ssget) cnt 0)(repeat (sslength ss)(setq ent (entget (ssname ss cnt)))(ENTMOD (SUBST (CONS 71 2)(ASSOC 71 ent)ent))(setq cnt (1+ cnt)))); [Top Right]^C^C(progn(SETQ ss (ssget) cnt 0)(repeat (sslength ss)(setq ent (entget (ssname ss cnt)))(ENTMOD (SUBST (CONS 71 3)(ASSOC 71 ent)ent))(setq cnt (1+ cnt)))); [Middle Left]^C^C(progn(SETQ ss (ssget) cnt 0)(repeat (sslength ss)(setq ent (entget (ssname ss cnt)))(ENTMOD (SUBST (CONS 71 4)(ASSOC 71 ent)ent))(setq cnt (1+ cnt)))); [Middle Center]^C^C(progn(SETQ ss (ssget) cnt 0)(repeat (sslength ss)(setq ent (entget (ssname ss cnt)))(ENTMOD (SUBST (CONS 71 5)(ASSOC 71 ent)ent))(setq cnt (1+ cnt)))); [Middle Right]^C^C(progn(SETQ ss (ssget) cnt 0)(repeat (sslength ss)(setq ent (entget (ssname ss cnt)))(ENTMOD (SUBST (CONS 71 6)(ASSOC 71 ent)ent))(setq cnt (1+ cnt)))); [Bottom Left]^C^C(progn(SETQ ss (ssget) cnt 0)(repeat (sslength ss)(setq ent (entget (ssname ss cnt)))(ENTMOD (SUBST (CONS 71 7)(ASSOC 71 ent)ent))(setq cnt (1+ cnt)))); [Bottom Center]^C^C(progn(SETQ ss (ssget) cnt 0)(repeat (sslength ss)(setq ent (entget (ssname ss cnt)))(ENTMOD (SUBST (CONS 71 8)(ASSOC 71 ent)ent))(setq cnt (1+ cnt)))); [Bottom Right]^C^C(progn(SETQ ss (ssget) cnt 0)(repeat (sslength ss)(setq ent (entget (ssname ss cnt)))(ENTMOD (SUBST (CONS 71 9)(ASSOC 71 ent)ent))(setq cnt (1+ cnt)))); [PLAN]^C^CPLAN;; **BASIC2 [AutoCad] [Point Filters] [--] [.X]^H.x [.Y]^H.Y [.Z]^H.Z [.XY]^H.XY [.YZ]^H.YZ [.ZX]^H.ZX [@]^H@ ***POP599 **BASIC3 [AutoCad] [Point Filters] [--] [.X]^H.x [.Y]^H.Y [.Z]^H.Z [.XY]^H.XY [.YZ]^H.YZ [.ZX]^H.ZX [@]^H@ These are the commands that I am trying to call these menu's with (vl-load-com) (DEFUN zw (/ activedoc) (setq activedoc (vla-get-ActiveDocument (vlax-get-acad-object))) (SETQ CRS (NTH 1 (GRREAD T 5 1)) CRS (STRCAT (RTOS (NTH 0 CRS) 2 4) "," (RTOS (NTH 1 CRS) 2 4)) ) (vla-SendCommand activedoc (strcat "'Z " crs " " )) ) (vlax-add-cmd "zw" 'zw "zw" 1) ;;;; ; (vl-load-com) (DEFUN POP0 (/ activedoc) (setq activedoc (vla-get-ActiveDocument (vlax-get-acad-object))) (menucmd "P0=BASIC2")(menucmd "P0=*") ) (vlax-add-cmd "POP0" 'POP0 "POP0" 1) (vl-load-com) (DEFUN POP5 (/ activedoc) (setq activedoc (vla-get-ActiveDocument (vlax-get-acad-object))) (menucmd "P599=BASIC3")(menucmd "P599=*") ) (vlax-add-cmd "POP5" 'POP5 "POP5" 1) ;;;;